# TODO:
# - own UID/GID
Summary:	RADIUS proxy that in addition to to usual RADIUS UDP transport, also supports TLS (RadSec)
Summary(pl.UTF-8):	Proxy RADIUS, poza zwyczajowym transportem UDP, obsługujące także TLS (RadSec)
Name:		radsecproxy
Version:	1.9.0
Release:	1
License:	BSD
Group:		Networking/Daemons/Radius
#Source0Download: https://github.com/radsecproxy/radsecproxy/releases
Source0:	https://github.com/radsecproxy/radsecproxy/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	4d4df9b333d4e901b7fefcddeabc9ce0
Source1:	%{name}.init
Source2:	%{name}.logrotate
Patch0:		git.patch
URL:		https://github.com/radsecproxy/radsecproxy
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	nettle-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	openssl >= 1.0.0b
Requires:	rc-scripts >= 0.4.3.0
Obsoletes:	radsecproxy-upstart
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
radsecproxy is a generic RADIUS proxy that in addition to to usual
RADIUS UDP transport, also supports TLS (RadSec). The aim is for the
proxy to have sufficient features to be flexible, while at the same
time to be small, efficient and easy to configure. Currently the
executable on Linux is only about 48 kB, and it uses about 64 kB
(depending on the number of peers) while running.

%description -l pl.UTF-8
radsecproxy to ogólne proxy RADIUS, które, poza zwyczajowym
transportem UDP RADIUS, obsługuje także TLS (RadSec). Celem projektu
jest dostarczenie wystarczająco dużej funkcjonalności, aby było
elastyczne, a jednocześnie małe, wydajne i łatwe do skonfigurowania.
Obecnie rozmiar binarki pod Linuksem to tylko około 48 kB, a w czasie
działania zużywa około 64 kB (w zależności od liczby partnerów).

%prep
%setup -q
%patch0 -p1

%{__rm} -r autom4te.cache

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/radsecproxy.conf.d \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d,init}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p radsecproxy.conf-example $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

install -p radsecproxy.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "RADIUS secure proxy"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README THANKS
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/radsecproxy.conf
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(750,root,root) %dir %{_sysconfdir}/radsecproxy.conf.d
%attr(755,root,root) %{_sbindir}/radsecproxy
%attr(755,root,root) %{_bindir}/radsecproxy-conf
%attr(755,root,root) %{_bindir}/radsecproxy-hash
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man5/radsecproxy.conf.5*
%{_mandir}/man8/radsecproxy.8*
%{_mandir}/man8/radsecproxy-hash.8*
%changelog
* Wed Oct 13 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/radsecproxy.git;a=log;h=master

* Wed Oct 13 2021 Jan Rękorajski <baggins@pld-linux.org> aaedaf6
- sync with upstream git

* Wed Oct 13 2021 Jan Rękorajski <baggins@pld-linux.org> 7012eba
- up to 1.9.0

* Tue May 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 2e3a7f8
- updated to 1.8.1
- removed obsolete paths patch

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> d2f056a
- release 3, rebuild against libnettle.so.6 (nettle-3.5)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 161f3f5
- release 2 (by relup.sh)

* Wed Jul 18 2018 Adam Osuchowski <adwol@pld-linux.org> 207eb64
- fix paths (/usr/local/etc -> /etc)

* Wed Jul 18 2018 Adam Osuchowski <adwol@pld-linux.org> 450155b
- up to 1.7.1
- new Source0 URL
- remove radsecproxy-docbook2x.patch

* Thu Jan 12 2017 Paweł Gołaszewski <blues@pld-linux.org> 51362a0
- 1.6.8

* Tue May 31 2016 Adam Osuchowski <adwol@pld-linux.org> fec0203
- up to 1.6.7

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> ca6136e
- release 2 (by relup.sh)

* Mon May 18 2015 Paweł Gołaszewski <blues@pld-linux.org> 1bfc173
- rel.1

* Mon May 18 2015 Paweł Gołaszewski <blues@pld-linux.org> 1771b52
- 1.6.6 (i.e. CVE-2012-4566) rel. 0.1

* Thu Apr 23 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 97b0f48
- call automake for build

* Thu Apr 23 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 6ddfbbd
- drop all Upstart hacks

* Wed Oct 17 2012 Paweł Gołaszewski <blues@pld-linux.org> f86a694
- 1.6.1 - security update (RADSECPROXY-43)

* Mon Apr 30 2012 Paweł Gołaszewski <blues@pld-linux.org> 41f2d5c
- cleanups

* Mon Apr 30 2012 Paweł Gołaszewski <blues@pld-linux.org> f2a5299
- 1.6 - remove applied patches (fticks, visinst), update docbook2x patch

* Sat Feb 04 2012 Paweł Gołaszewski <blues@pld-linux.org> 299059c
- really create pid

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> e985cb9
- BR: nettle-devel (for fticks)

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> 60f7c37
- rel.3 - fticksVISINST support

